Subject: bug#51143: 29.0.50; Long delay after M-x commandname

From: Michael Heerdegen <[email-masked]>
Date: Thu, 15 Sep 2022 11:49:34 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > I could reproduce the issue and I had some ideas how to improve the
> > situation, please reopen.
>
> This was almost a year ago -- do you have a recipe to reproduce the
> problem?

AFAIR the originally posted recipe was complete, you only had to have
enough stuff defined so that `execute-extended-command--shorter' gets
slow.  It had been my goal to improve the speed of that function.

I remember what I had discussed with Stefan.  The uncontroversial part
was to factor out the `commandp' tests out of
`completion-try-completion'.

I'll have a look.

Michael.